---
title: "Create a VM group"
slug: "create-a-vm-group"
tags: ["Product Usage", "vIPS 10.1.10"]
updated: 2026-09-11T20:35:31Z
published: 2026-09-11T20:35:31Z
canonical: "docs.trellix.com/create-a-vm-group"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Create a VM group
This URL creates a new VM group.
## Resource URL
POST /vmgroup
## Request Parameters
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| groupName | Name of the VM group | string | Yes |
| description | Description of the VM group | string | Yes |
| inspectionMode | Mode of inspection | string | Yes |
| clusterId | Cluster ID | string | No |
| protectedObjects | Protected objects for the VM group | object | Yes |
| controllerId | Controller for the VM group | string | No |
Details of protectedObjects:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| type | Type of protected object. The supported type is cidr. | string | Yes |
| value | Value of the protected object. For example, if the protected object is cidr, the value will contain the IP address range of the cidr. | string | Yes |
## Response Parameters
Following fields are returned in the response.
| Field Name | Description | Data Type |
| --- | --- | --- |
| success | Indicates if the creation of VM group is successful. Value is set to true if the creation of VM group is successful. Value is set to false if the creation of VM group is not successful. | string |
| msg | Not applicable | Not applicable |
| errMsg | Not applicable | Not applicable |
| domainName | Not applicable | Not applicable |
| data | Id of the newly created VM group | Not applicable |
## Example
**Request**
Payload
```
{ "groupName": "vmgroupforupdate",
"description": "Updated group name",
"inspectionMode": "ips",
"clusterId": null,
"protectedObjects": [
{"type": "cidr", "value": "1.1.1.73/32"},
{"type": "cidr", "value": "1.1.1.78/32"}
],
"controllerId": null
}
```
POST [https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup](https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup)
**Response**
```
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": 1
}
```